#if !defined( _JDNAObj_h )
#define _JDNAObj_h
#include "JAddObj.h"
#include "JCriticalSection.h"





class 
#if defined(_EXTERNAL_DLL)
  DllExport
#else
  DllImport 
#endif
JDNAObj : public JAddObj {
  protected:
  public:
    enum {
      FILENAME,
      ENABLED,
		TICK };

    virtual const char* className() const;
    virtual JObject* clone() const;
    JDNAObj();
    virtual void draw(JGraphics g, int x, int y, int w, int h);
    virtual boolean inputAllowed(int n);
    virtual JString inputTag(int n);
    virtual JString outputTag(int n);
    virtual JFRect inputArea(int n);
    virtual JFRect outputArea(int n);
    virtual int inputFace(int n);
    virtual int outputFace(int n);
    virtual JFPoint inputPoint(int n, JLinkObj& link);
    virtual JFPoint outputPoint(int n, JLinkObj& link);
    virtual void engine(int n, JLinkObj& link);
    virtual int inputType( int n );
    virtual void access(int n, JLinkObj& link, const JDataType& data);
  private:
	  FILE *fp;
	  bool readLine( FILE* fp );
	  void processLine();
	  char line[500];


    // inputs
    JString filename;

    // controls
    int enabled;

    // outputs
    int AT;
    int CG;
};


#endif
