#include "JStrDebugObj.h"
#include "JInteger.h"
#include "JIntegerData.h"
#include "JStringData.h"
#include "JIntegerProperty.h"
#include "JIntegerListProperty.h"
#include "JStringProperty.h"
#include "JLinkObj.h"
#include "JBytesData.h"


char* theJStrDebugObj = JStrDebugObj().Register();


const char* JStrDebugObj::className() const { return "JStrDebugObj";}


JObject* JStrDebugObj::clone() const { return new JStrDebugObj(*this);}


// class constructor
JStrDebugObj::JStrDebugObj() {
  igm = 1;
  ogm = 0;
}


void JStrDebugObj::draw(JGraphics g, int x, int y, int w, int h) {
  JRect rect(x, y, w, h);
  drawText(g, JString("StrDebug"), rect);
}


boolean JStrDebugObj::inputAllowed(int n)
{ return !inputSet(n).last();}
JString JStrDebugObj::inputTag(int n) {
  char* tag[] = {
    "inString" };
  return( tag[n] );
}


int JStrDebugObj::inputType( int n ) {
  if ( n == 0 ) return JStringData::id;
  return JIntegerData::id;
}
JFRect JStrDebugObj::inputArea(int n) {
//  if ( n < ( 1 )) {
    return leftArea( n, 0, 1, 0.1, 0.8 );
 // }
}


int JStrDebugObj::inputFace(int n) {
  if ( n < 1 ) {
    return LEFT;
  } else {
    return TOP;
  }
}


JFPoint JStrDebugObj::inputPoint(int n, JLinkObj& link) {
  return leftPoint( n, link, 0, 1, 0.1, 0.8);
}


void JStrDebugObj::engine(int n, JLinkObj& link) {
  switch (n) {
  case INSTRING:
    link.access( JStringData( inString ));
	JComponent::debug( inString );
    break;
  default:
    break;
  }
}


